# Trait ethcore_util::trie::TrieIterator [−] [src]

    pub trait TrieIterator: Iterator {
        fn seek(&mut self, key: &[u8]) -> Result<()>;
    }

A trie iterator that also supports random access.

## Required Methods

### `fn seek(&mut self, key: &[u8]) -> Result<()>`

Position the iterator on the first element with key > `key`

## Implementors

- `impl<'a> TrieIterator for TrieDBIterator<'a>`
- `impl<'db> TrieIterator for FatDBIterator<'db>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)